var errorMsg = {
    NETWORK_ERROR:'网络繁忙，请重试:-('
};

var payFlatformChecked = function () {
    if (zhicall.Cache.data("cache.selectedPayWay")) {
        zhicall.log(zhicall.Cache.data("cache.selectedPayWay"));
        var checkedBtn = zhicall.Cache.data("cache.selectedPayWay");
        var btn = $("#" + checkedBtn);
        btn.siblings().removeClass('selected');
        btn.addClass('selected');
    }
};
function payResultDialog(msg) {
     Callback.payResult(msg);
}
var callbackName;
cordova.define('views.payplatform.selectPayWayView', function (require, exports, module) {
    var template = require('jQAjax').loadTemplate('app/payplatform/common/html/selectPayWayView.html');
    var view = $.extend({}, require('views.SuperView'), {
        tmpl: template,
        options: {
            id: 'views.payplatform.selectPayWayView',
            name: '支付选择页面'
        },
        header: {
            title: "支付选择页面",
            leftBtn: {
                cssClass: 'pageback',
                txt: '',
                action: 'pageBack',
                rel: ''
            }
        }
    });
    view.willShow =function (ct) {
        var jsonData = zhicall.Cache.data("cache.selectPayViewData");
        if (jsonData) {
            var tradeNo = jsonData.trade_no;
            var partnerSign = jsonData.partner_sign;
            callbackName = jsonData.callback_method;
            zhicall.Cache.data('cache.partnerSign', partnerSign);
            zhicall.Cache.data('cache.tradeNo', tradeNo);
        }
        zhicall.log("tradeNo=" + tradeNo);

        this.render(ct, {
            money: zhicall.Cache.data('cache.tradeFee')
        });
        payFlatformChecked();

    };

    module.exports = view;


    Callback.selectOnlyOnePayPlatform = function (btnId) {
        var btn = $("#" + btnId);
        btn.siblings().removeClass('selected');
        btn.addClass('selected');
        zhicall.Cache.data("cache.selectedPayWay", btnId);

    };

    Callback.toRecharge = function () {
        zhicall.log('**********function -----------> toRecharge******************');
        if ('alipayPage' === zhicall.Cache.data("cache.selectedPayWay")) {
            Callback.alipayWebPagePlatform();
        } else if ('alipayQuick' === zhicall.Cache.data("cache.selectedPayWay")) {
            Notification.popupLoading('正在跳转至支付宝客户端...', function(){
                if (zhicall.system === "android") {
                    androidAlipayFast();
                } else {
                    iosAlipayFast();
                }
            });
        } else if ('unionpayUPMP' === zhicall.Cache.data("cache.selectedPayWay")) {
            Notification.popupLoading('正在跳转至银联支付...', function(){
                if (zhicall.system === "android") {
                    androidUnionPay();
                } else {
                    iosUnionPay();
                }
            });
        } else if ('wxpay' === zhicall.Cache.data("cache.selectedPayWay")) {
            Notification.popupLoading('正在跳转至微信支付...', function(){
                if (zhicall.system === "android") {
                    androidWXPay();
                } else {
                    iosWXPay();
                }
            });
            
        } else {
            Notification.alert("请选择支付方式");
        }
    };

    //支付宝网页支付
    Callback.alipayWebPagePlatform = function ()  {// zhicallserialize,
        zhicall.log('1.开始进入支付宝网页支付平台系统流程');
        Notification.popupLoading('正在跳转至支付宝网页端...', function(){
            $.ajax({
                type: 'POST',
                url: PAY_PLATFORM_URL + PAYMENT_REQUEST_PAY_URL,
                data: {
                    partner_sign: zhicall.Cache.data('cache.partnerSign'),
                    trade_no: zhicall.Cache.data('cache.tradeNo'),
                    pay_platform: '1002'
                },
                timeout: 10000
            }).done(function (json, textStatus, jqXHR) {
                zhicall.log('2.已从支付后台获取返回html');
                zhicall.Cache.data("cache.payflatformchecked", "alipayPage");
                zhicall.Cache.data('cache.tradeFee', json.trade_fee);
                zhicall.Cache.data("cache.alipayRespHTML",json);
                view.pushView('views.payplatform.alipayWapView');
            }).fail(function (jqXHR, textStatus, errorThrown) {
                Notification.popupLoadingClose();
                Notification.alert(errorMsg.NETWORK_ERROR);
            });
        });
    };

     Callback.payResult = function(msg) {
        zhicall.log("msg==" + msg);
        if (msg === "6001") {
            Notification.alert("支付中断");
        } else if (msg === "9000") {
            zhicall.Cache.data("cache.payResultFlag", "success");
            view.pushView('views.payplatform.rechargeResultView');
        } else {
            zhicall.Cache.data("cache.payResultFlag", "error");
            view.pushView('views.payplatform.rechargeResultView');
        }
    };

    // 支付完成回调
    Callback.alipayWapBack = function (btnId) {
        Notification.popupLoading('正在返回，请稍后......', function(){
            if (timerId !== null) {
                clearTimeout(timerId);
            }
            zhicall.log("*************function --------->alipayWapBack******************");
            if ('alipayPage' === zhicall.Cache.data("cache.selectedPayWay")) {
                //查询状态接口
                $.ajax({
                    type: 'POST',
                    url: PAY_PLATFORM_URL + WAP_QUERY_RESULT_URL,
                    data: {
                        partner_sign: zhicall.Cache.data('cache.partnerSign'),
                        trade_no: zhicall.Cache.data('cache.tradeNo')
                    },
                    dataType: 'json'
                }).done(function (json, textStatus, jqXHR) {
                    zhicall.log("order_status=" + json.trade_status);
                    Notification.popupLoadingClose();
                    //000成功，001失败，002中断
                    if (json.trade_status === "002") {
                        Notification.alert("支付中断");
                        Callback.pageBack();
                        return;
                    } else if (json.trade_status === "000") {
                        callbackFuc("success");
                    } else {
                        callbackFuc("error");
                    }
                }).fail(function (failData) {
                    Notification.alert(errorMsg.NETWORK_ERROR);
                    Callback.pageBack();
                });
            } else {
                if (androidtimerId !== null) {
                    zhicall.log(androidtimerId);
                    clearTimeout(androidtimerId);
                    androidtimerId = null;
                }
                callbackFuc(zhicall.Cache.data("cache.payResultFlag"));
            }
        });
    };
});

//自动后退
function paymentAutoback() {
    zhicall.log("**********function------------> paymentAutoback****************************");
    $.ajax({
        type: 'POST',
        url: PAY_PLATFORM_URL+WAP_QUERY_RESULT_URL,
        data: {
            partner_sign: zhicall.Cache.data('cache.partnerSign'),
            trade_no: zhicall.Cache.data('cache.tradeNo')
        },
        dataType: 'json'
    }).done(function (json, textStatus, jqXHR) {
        zhicall.log("order_status=" + json.trade_status);
        //000成功，001失败，002中断
        if (json.trade_status === "002") {
            Callback.pageBack();
            Notification.alert("支付中断");
        } else if (json.trade_status === "000") {
            callbackFuc("success");
        } else {
            callbackFuc("error");
        }
    }).fail(function (failData) {
        Notification.alert(errorMsg.NETWORK_ERROR);
        Callback.pageBack();
    });
}


//  显示嵌入支付宝网页支付的页面，只是框架，页面是支付宝提供
cordova.define('views.payplatform.alipayWapView', function (require, exports, module) {
    var template = require('jQAjax').loadTemplate('app/payplatform/common/html/alipayWapView.html');

    var view = $.extend({}, require('views.SuperView'), {
        tmpl: template,
        options: {
            id: 'views.payplatform.alipayWapView',
            name: '支付宝网页支付'
        },
        header: {
            title: "支付宝网页支付",
            leftBtn: {
                cssClass: 'pageback',
                txt: '',
                action: 'alipayWapBack',
                rel: ''
            }
        }
    });

    view.willShow = function (ct) {
        Notification.popupLoadingClose();

        this.render(ct,{
            height: $(window).height() * (1 - 12 / 100),
            width: $(window).width()
        });

        var html = zhicall.Cache.data("cache.alipayRespHTML");
        $('#alipayPagePay')[0].contentWindow.document.write("<div id='alipayWapResp'>" + html + "</div>");
        $('#alipayPagePay')[0].contentWindow.document.close();
    };

    module.exports = view;

});

var timerId = null;
/** 网页加载完成后
 */
function countBackRecharge() {
    zhicall.log('********function ---> countBackRecharge ********************');
    var iframe_href = window.frames[0].location.href;
    var start_range = iframe_href.lastIndexOf('/');
    if (iframe_href.substr(start_range + 1, 8).toLowerCase() == 'callback' || ((iframe_href.substr(start_range + 1, 5).toLowerCase() == 'error') && (window.frames[0].location.protocol != 'https:'))) {
        zhicall.log("add timerId---------");
        timerId = setTimeout(paymentAutoback, 10000);
    }

    var eventTar = document.getElementById("alipayPagePay").contentWindow.document.body;

    eventTar.addEventListener("touchstart", function (event) {
        //event.preventDefault();
        touchX = event.targetTouches[0].pageX;
        touchY = event.targetTouches[0].pageY;

        zhicall.log("touchX==" + touchX + "touchY==" + touchY);
    }, false);
    eventTar.addEventListener("touchmove", function (event) {
        //event.preventDefault();
        zhicall.log("scorllHeight=====" + $('.ui-page-body')[0].scrollHeight);

        $('.ui-page-body')[0].scrollLeft += (touchX - event.targetTouches[0].pageX);
        $('.ui-page-body')[0].scrollTop += (touchY - event.targetTouches[0].pageY);
        zhicall.log("currentY==" + event.targetTouches[0].pageY);
    }, false);
}

//android系统物理返回键需要用到，所以加在物理返回那边
if (zhicall.system==='ios'){
    var androidtimerId;
}

function noWXAppFuc() {
    Notification.confirm("您没有安装微信", function (index) {
        if (index == 2 || index == 0) {
            window.open("http://weixin.qq.com/", '_system');
        }
    }, "温馨提示", '重新选择支付方式,下载微信');
}

//支付结果展示（不包括支付宝网页支付）
cordova.define('views.payplatform.rechargeResultView', function (require, exports, module) {
    var template = require('jQAjax').loadTemplate('app/payplatform/common/html/rechargeResultView.html');
    var view = $.extend({}, require('views.SuperView'), {
        tmpl: template,
        options: {
            id: 'views.payplatform.rechargeResultView',
            name: '支付结果展示页面'
        },
        header: {
            title: "支付结果展示页面",
            leftBtn: {
                cssClass: 'pageback',
                txt: '',
                action: 'alipayWapBack',
                rel: ''
            }
        }
    });

    module.exports = view;

    view.willShow =  function (ct) {
        var flag = zhicall.Cache.data("cache.payResultFlag");
        if (flag == "success") {
            flag = 'success'
        } else {
            flag = 'error'
        }
        zhicall.log("flag==" + flag);
        this.render(ct, {
            flag: flag
        })
        androidtimerId = setTimeout(function () {
                callbackFuc(flag);
            }, 10000 //10s
        );
    }

});

/****************    回调掌上医院方法     **************/
function callbackFuc(flag) {
    zhicall.log("callbackFuc,flag==" + flag)
    var param = {
        trade_no: zhicall.Cache.data('cache.tradeNo'),
        trade_status: '001',
        trade_msg: '失败'
    }
    if (flag == "success") {
        param.trade_status = '000';
        param.trade_msg = '成功';
    }
//    Notification.alert("支付"+param.trade_msg);
    Callback.payCallBck(param);
    //eval(callbackName("('"+ param+"')"))
}


var jsPlugin =
{
    forPay: function (success, fail, resultType) {
        return Cordova.exec(success, fail, "QuickPayPlugin", "recharge", [resultType]);
    },
    forPayByUnionpay: function (success, fail, resultType) {
        return Cordova.exec(success, fail, "UnionpayMobilePlugin", "recharge", [resultType]);
    },
    forpayByWechat: function (success, fail, resultType) {
        return Cordova.exec(success, fail, "WechatPaymentPlugin", "recharge", [resultType]);
    }

};


function androidPlugin(param, str) {
    window.callActivityPlugin = function (param, callback) {
        cordova.exec(callback, pluginFailed, str, "call", param);
    };
    var pluginFailed = function (message) {
        alert("failed>>" + message);
    }
    var init = function () {
        console.log("phonegap init!!");
        //onDeviceReady();
        document.addEventListener("deviceready", onDeviceReady, true);
    }
    var onDeviceReady = function () {
        console.log("deviceready event fired");
        window.callActivityPlugin(param, function (echoValue) {
            console.log("callActivityPlugin echo>>");
        });
    };
    init();
}


function requestPayFuc(platform) {
    var result;
    $.ajax({
        type: 'POST',
        url: PAY_PLATFORM_URL+PAYMENT_REQUEST_PAY_URL,
        data: {
            partner_sign: zhicall.Cache.data('cache.partenSign'),
            trade_no: zhicall.Cache.data('cache.tradeNo'),
            pay_platform: platform
        },
        dataType: 'json',
        async: false
    }).done(function (json, textStatus, jqXHR) {
        Notification.popupLoadingClose();
        result = json;
    }).fail(function (jqXHR, textStatus, errorThrown){
        Notification.popupLoadingClose();
        Notification.alert(errorMsg.NETWORK_ERROR);
        result =  -1;
    })
    return result;
};

/********************************android支付方式*******************************/
function androidUnionPay() {
    zhicall.log("进入unionPay方法");
    var requestData = requestPayFuc('2001');
    if(requestData==-1){return}
    var tn = requestData.data.tn;
    zhicall.log("tn====>" + requestData.data.tn);
    var activeName = 'com.zhicall.platform.AndroidUnionPayPluginActivity';
    var param = [activeName, tn];
    var callPluginName = "CallUnionActivityPlugin";
    androidPlugin(param, callPluginName);

}


function androidAlipayFast() {
    zhicall.log("进入alipayFast方法");
    var requestData = requestPayFuc('1003');
    if(requestData==-1){return}
    if (requestData.data == 1) {
        $.ajax({
            type: 'POST',
            url: PAY_PLATFORM_URL+ PAYMENT_QUERY_URL,
            data: {
                partner_sign: zhicall.Cache.data('cache.partnerSign'),
                trade_no: zhicall.Cache.data('cache.tradeNo'),
                pay_platform: '1003'
            },
            dataType: 'json',
            success: function (data) {
                Notification.popupLoadingClose();
                var info = data.order_info;
                var sign = data.third_pary_sign;
                var zhicallSerial = zhicall.Cache.data('cache.tradeNo');
                var activeName = 'com.zhicall.platform.AndroidAlipayPluginActivity';
                var param = [activeName, info, sign, zhicallSerial];
                var callPluginName = "CallAlipayActivityPlugin";
                zhicall.log("callPluginName="+callPluginName);
                androidPlugin(param, callPluginName);
            },
            error: function (jsonError) {
            }
        })
    } else {
        Notification.alert("网络异常，请稍后再试");
        return;
    }
}

function androidWXPay() {
    zhicall.log("进入微信支付方法")
    var requestData = requestPayFuc('3003');
    if(requestData==-1){return}
    var paymentData = {
        payAppId: requestData.appid,
        payNonceStr: requestData.noncestr,
        payPackage: requestData.package,
        payPartnerid: requestData.partnerid,
        payPrepayid: requestData.prepayid,
        paySign: requestData.sign,
        payTimestamp: requestData.timestamp,
        zhicallSerial: zhicall.Cache.data('cache.tradeNo')

    };
    var activeName = 'com.ewell.guahao.shiyanrenming.wxapi.WXPayEntryActivity';
    var param = [activeName, paymentData];
    var callPluginName = "CallWXActivityPlugin";
    androidPlugin(param, callPluginName);
}

/******************************* ios支付方式 **********************************/
function iosUnionPay() {
    zhicall.log("进入unionPay方法");
    var requestData = requestPayFuc('2001');
    if(requestData==-1){return}
    var tn = requestData.data.tn;
    var orderData = {
        tn: tn,
        mode: '00'
    };
    jsPlugin.forPayByUnionpay(function (success) {

    }, function (error) {
    }, JSON.stringify(orderData));
}

function iosAlipayFast() {
    zhicall.log("进入ios支付宝快捷支付方法");
    var requestData = requestPayFuc('1003');
    if(requestData==-1){return}
    if (requestData.data == 1) {
        $.ajax({
            type: 'POST',
            url: PAY_PLATFORM_URL+PAYMENT_QUERY_URL,
            data: {
                partner_sign: zhicall.Cache.data('cache.partnerSign'),
                trade_no: zhicall.Cache.data('cache.tradeNo'),
                pay_platform: '1003'
            },
            dataType: 'json',
            success: function (data) {
                Notification.popupLoadingClose();
                jsPlugin.forPay(function (success) {
                }, function (err1) {
                }, JSON.stringify(data));
            },
            error: function (jsonError) {
            }
        })
    } else {
        Notification.alert("网络异常，请稍后再试");
        return;
    }
}

function iosWXPay() {
    var requestData = requestPayFuc('3003');
    if(requestData==-1){return}
    var paymentData = requestData;

    jsPlugin.forpayByWechat(function(success){

    },function(error){
        Notification.popupToast(error);
    },JSON.stringify(paymentData));

}
/****回调方法****************/
function AlipayFastDialog(msg) {
    if (msg == "6001") {
        Notification.alert("支付中断");
    } else if(msg == "9000") {
        callbackFuc("success");
    } else{
        zhicall.log("msg=="+msg);
        callbackFuc("error");
    }
};

