cordova.define('cordova/plugin_list', function(require, exports, module) {
    module.exports = [
        {
            "file": "plugins/org.apache.cordova.device/www/device.js",
            "id": "org.apache.cordova.device.device",
            "clobbers": [
                "device"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.network-information/www/network.js",
            "id": "org.apache.cordova.network-information.network",
            "clobbers": [
                "navigator.connection",
                "navigator.network.connection"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.network-information/www/Connection.js",
            "id": "org.apache.cordova.network-information.Connection",
            "clobbers": [
                "Connection"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/DirectoryEntry.js",
            "id": "org.apache.cordova.file.DirectoryEntry",
            "clobbers": [
                "window.DirectoryEntry"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/DirectoryReader.js",
            "id": "org.apache.cordova.file.DirectoryReader",
            "clobbers": [
                "window.DirectoryReader"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/Entry.js",
            "id": "org.apache.cordova.file.Entry",
            "clobbers": [
                "window.Entry"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/File.js",
            "id": "org.apache.cordova.file.File",
            "clobbers": [
                "window.File"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/FileEntry.js",
            "id": "org.apache.cordova.file.FileEntry",
            "clobbers": [
                "window.FileEntry"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/FileError.js",
            "id": "org.apache.cordova.file.FileError",
            "clobbers": [
                "window.FileError"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/FileReader.js",
            "id": "org.apache.cordova.file.FileReader",
            "clobbers": [
                "window.FileReader"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/FileSystem.js",
            "id": "org.apache.cordova.file.FileSystem",
            "clobbers": [
                "window.FileSystem"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/FileUploadOptions.js",
            "id": "org.apache.cordova.file.FileUploadOptions",
            "clobbers": [
                "window.FileUploadOptions"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/FileUploadResult.js",
            "id": "org.apache.cordova.file.FileUploadResult",
            "clobbers": [
                "window.FileUploadResult"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/FileWriter.js",
            "id": "org.apache.cordova.file.FileWriter",
            "clobbers": [
                "window.FileWriter"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/Flags.js",
            "id": "org.apache.cordova.file.Flags",
            "clobbers": [
                "window.Flags"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/LocalFileSystem.js",
            "id": "org.apache.cordova.file.LocalFileSystem",
            "clobbers": [
                "window.LocalFileSystem"
            ],
            "merges": [
                "window"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/Metadata.js",
            "id": "org.apache.cordova.file.Metadata",
            "clobbers": [
                "window.Metadata"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/ProgressEvent.js",
            "id": "org.apache.cordova.file.ProgressEvent",
            "clobbers": [
                "window.ProgressEvent"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/fileSystems.js",
            "id": "org.apache.cordova.file.fileSystems"
        },
        {
            "file": "plugins/org.apache.cordova.file/www/requestFileSystem.js",
            "id": "org.apache.cordova.file.requestFileSystem",
            "clobbers": [
                "window.requestFileSystem"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/resolveLocalFileSystemURI.js",
            "id": "org.apache.cordova.file.resolveLocalFileSystemURI",
            "merges": [
                "window"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/android/FileSystem.js",
            "id": "org.apache.cordova.file.androidFileSystem",
            "merges": [
                "FileSystem"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file/www/fileSystems-roots.js",
            "id": "org.apache.cordova.file.fileSystems-roots",
            "runs": true
        },
        {
            "file": "plugins/org.apache.cordova.file/www/fileSystemPaths.js",
            "id": "org.apache.cordova.file.fileSystemPaths",
            "merges": [
                "cordova"
            ],
            "runs": true
        },
        {
            "file": "plugins/org.apache.cordova.file-transfer/www/FileTransferError.js",
            "id": "org.apache.cordova.file-transfer.FileTransferError",
            "clobbers": [
                "window.FileTransferError"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.file-transfer/www/FileTransfer.js",
            "id": "org.apache.cordova.file-transfer.FileTransfer",
            "clobbers": [
                "window.FileTransfer"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.dialogs/www/notification.js",
            "id": "org.apache.cordova.dialogs.notification",
            "merges": [
                "navigator.notification"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.dialogs/www/android/notification.js",
            "id": "org.apache.cordova.dialogs.notification_android",
            "merges": [
                "navigator.notification"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.globalization/www/GlobalizationError.js",
            "id": "org.apache.cordova.globalization.GlobalizationError",
            "clobbers": [
                "window.GlobalizationError"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.globalization/www/globalization.js",
            "id": "org.apache.cordova.globalization.globalization",
            "clobbers": [
                "navigator.globalization"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.inappbrowser/www/inappbrowser.js",
            "id": "org.apache.cordova.inappbrowser.inappbrowser",
            "clobbers": [
                "window.open"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.media/www/MediaError.js",
            "id": "org.apache.cordova.media.MediaError",
            "clobbers": [
                "window.MediaError"
            ]
        },
        {
            "file": "plugins/org.apache.cordova.media/www/Media.js",
            "id": "org.apache.cordova.media.Media",
            "clobbers": [
                "window.Media"
            ]
        }
    ];
    // TOP OF METADATA
    module.exports.metadata = {
        "org.apache.cordova.device": "0.2.10",
        "org.apache.cordova.network-information": "0.2.10",
        "org.apache.cordova.file": "1.2.0",
        "org.apache.cordova.file-transfer": "0.4.4",
        "org.apache.cordova.dialogs": "0.2.8",
        "org.apache.cordova.globalization": "0.2.8",
        "org.apache.cordova.inappbrowser": "0.5.0",
        "org.apache.cordova.console": "0.2.9",
        "org.apache.cordova.media": "0.2.11"
    };
    // BOTTOM OF METADATA
});